const { DataTypes } = require('sequelize');
const bcrypt = require('bcryptjs');
const db = require('../config/db.config');

const RcRecognition = db.define('RcRecognition', {
    record_id: {
        type: DataTypes.STRING,
        unique: true
    },
    person_id: {
        type: DataTypes.STRING
    },
    person_name: {
        type: DataTypes.STRING
    },
    device_name: {
        type: DataTypes.STRING
    },
    photo: {
        type: DataTypes.TEXT
    },
    record_time: {
        type: DataTypes.DATE
    }
}, {
    tableName: 'rc_recognitions',
    timestamps: true,
    createdAt: 'created_at',
    updatedAt: 'updated_at'
});

module.exports = RcRecognition;